Subject: Re: git tree

From: "David H. Lynch Jr" <[email-masked]>
Date: Sat, 21 Apr 2007 21:00:31 -0400

Grant Likely wrote:
> I haven't quite decided yet.  The -temac and -sysace branches are a
> bit of an experiment.  I thought it might be a good idea to maintain
> the drivers in seperate branches so it is easy to get a diff on just
> that driver; but the individual drivers are pretty seperate anyway (in
> different directories).  I think I'll probably drop the -temac and
> -sysace branches, and just maintain all my changes in the -dev branch.
>  The -forupstream branch is specifically for patches that are due to
> go upstream.  I'll add patches there when I think they are suitable
> for mainline, and post them to the list.
    I would greatly appreciate pointers to so reference for using git
for kernel development.
    I have looked through most of the howto's and have a basic
competence with git.

    I am looking for something more like how to manage development with
possibly multiple
    devices/projects.
    Not necescarily what is possible, but what Standard Operating
Procedure for most developers.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein